Get Estimate Gas Fee¶
Endpoint¶
Parameters¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
| b_id Required | String | Business line ID |
Body Parameters¶
| Field | Type | Description |
|---|---|---|
| from_wallet_code Required | String | From Wallet ID |
| coin_name Required | String | Coin name Allowed Value: Refer to Coin Name (API) column in Supported Token |
| order_no Required | String | Order number (max 50 characters). |
| from_address Optional | String | From address (for segregated address) |
| description Optional | String | Order description (max 50 characters). |
| fee_rate_level Optional | String | For BTC/ETH series Allowed values: NORMAL, HIGHER, LOW, CUSTOM |
| fee_rate Optional | Decimal | For BTC/ETH series, you need to provide the rate when using the CUSTOM for fee_rate_level. For EIP1559 series, this parameter corresponds to the MaxFeeRate. |
| dest_address_item_list Required | Object[] | Destination address list |
dest_address_item_list (object)¶
| Field | Type | Description |
|---|---|---|
| dest_address | String | Destination address |
| amount | Decimal | Withdrawal amount (the smallest unit) |
| is_all_withdrawal | Boolean | If the order is full balance withdrawal Allowed values: false, true |
| memo_type Optional | String | Memo type Allowed values: MEMO_NONE, MEMO_TEXT, MEMO_HASH |
| memo Optional | String | Memo (for XLM series). |
| remark Optional | String | Remark (max 50 characters). |
Request Body Example¶
request.json
{
"from_address": "mioNv7xz1es2waP77gLQYypXesBbkT8BeX",
"from_wallet_code": "CHBTC4813422686",
"coin_name": "BTC",
"order_no": "EST00012345",
"description": "test order create",
"dest_address_item_list": [
{
"amount": 65000,
"dest_address": "mioNv7xz1es2waP77gLQYypXesBbkT8BeX",
"memo_type": "MEMO_TEXT",
"memo": "text",
"is_all_withdrawal": false,
"remark": "test order item"
}
]
}
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Integer | Estimated gas fee |